'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class TaxCategory extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
      TaxCategory.belongsTo(models.TaxRate, { foreignKey: 'taxRateId', as: 'taxRate' });
    }
  }
  TaxCategory.init({
    name: DataTypes.STRING,
    taxRateId: DataTypes.INTEGER,
    description: DataTypes.TEXT,
    isActive: DataTypes.BOOLEAN
  }, {
    sequelize,
    modelName: 'TaxCategory',
  });
  return TaxCategory;
};